Bug 498702 - cannot install inn (missing 'news' user)
cannot install inn (missing 'news' user)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: inn (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 02:27 EDT by Carl Roth
Modified: 2009-05-29 22:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4.4-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-29 22:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2009-05-02 02:27:09 EDT
Description of problem:

The current 'setup' RPM for F9 (2.6.18-3) does not install a 'news' user into /etc/passwd.  This causes problems with the inn RPM (2.4.4-1), which expects the 'news' user to already exist.  The release version of 'setup' (2.6.14-1) did originally include a 'news' user in the default passwd contents.

Note that for F10, the inn RPM (2.4.5-3) corrects this by adding a %pre step that creates the 'news' user if it does not already exist.

Unless we are planning to EOL F9 in the near future, we should probably back-port the SPEC scriptlets from 2.4.5-3 back to F9.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ondrej Vasik 2009-05-11 09:51:29 EDT
Thanks for report, removing news user from f-9 setup default /etc/passwd was not intentional, it was planned only for F-10+ (see comments #3 and #4 in https://bugzilla.redhat.com/show_bug.cgi?id=437462 ). However harmless change, so will do cumulative update for F-9 inn soon.
Comment 2 Fedora Update System 2009-05-11 15:13:34 EDT
inn-2.4.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/inn-2.4.4-2.fc9
Comment 3 Fedora Update System 2009-05-12 00:11:53 EDT
inn-2.4.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update inn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4849
Comment 4 Fedora Update System 2009-05-15 19:28:39 EDT
inn-2.4.4-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update inn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4849
Comment 5 Fedora Update System 2009-05-29 22:31:54 EDT
inn-2.4.4-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.